## rsass 0.29.0

=== debian/changelog ===
rsass (0.29.0-5) unstable; urgency=medium

  * disable optimizations in autopkgtest,
    to avoid out-of-memory on armel and armhf

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Mar 2025 08:10:24 +0100

rsass (0.29.0-4) unstable; urgency=medium

  * tune build options for more weak arches
  * stop omit no longer failing tests
  * omit failing tests in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 10:40:39 +0100

rsass (0.29.0-3) unstable; urgency=medium

  * omit tests using DEB_HOST_ARCH_CPU (not DEB_HOST_ARCH_CPU)
    to also cover Hurd

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Mar 2025 11:49:00 +0100

rsass (0.29.0-2) unstable; urgency=medium

  * update tests to omit, and limit to i386 and mips64el;
    closes: bug#1097130, thanks to Lucal Nussbaum
  * adjust build flags for armhf
    to reduce risk of out-of-memory issues
  * declare compliance with Debian Policy 4.7.2
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Mar 2025 09:40:10 +0100

rsass (0.29.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: improve filename mangling
  * stop (build-)depend on packages
    for crates num-bigint num-integer num-rational num-traits
  * bump project versions in virtual packages and autopkgtests
  * add patch 2001 to use older branch of crate nom
  * update copyright info: update coverage
  * build- and autopkgtest-check executable;
    build- and autopkgtest-depend on packages
    libtest2-suite-perl libtest2-tools-command-perl perl
  * build-depend unconditionally for crates,
    i.e. drop broken nocheck annotations

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 20:22:32 +0100

rsass (0.28.10-8) unstable; urgency=medium

  * fix autopkgtest-dependency

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Feb 2025 14:16:19 +0100

rsass (0.28.10-7) unstable; urgency=medium

  * drop autopkgtest restriction skip-not-installable
  * fix autopkgtest-depend on versioned crate package
  * tune build flags for hardening and speed
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 13:04:53 +0100
