=== debian/tests/control ===
# disable optimizations, to avoid out-of-memory on armel and armhf

Test-Command: DEB_BUILD_OPTIONS=noopt /usr/share/dh-rust/bin/cargo-auto-test rsass 0.29.0
 --all-targets --all-features
 --no-fail-fast --
 --skip core_functions::math::log::base::one_fuzzy
 --skip variablescope::test::color_simple_rgba
 --skip core_functions::color::adjust::hsl::alpha_input
 --skip core_functions::color::adjust::hwb::alpha_input
 --skip core_functions::color::adjust::rgb::alpha_arg
 --skip core_functions::color::adjust::rgb::alpha_input
 --skip core_functions::color::adjust::units::alpha::percent
 --skip core_functions::color::adjust::units::alpha::unitless
 --skip core_functions::color::adjust::units::alpha::unknown
 --skip core_functions::color::change::hsl::alpha_arg
 --skip core_functions::color::change::hsl::alpha_input
 --skip core_functions::color::change::hwb::alpha_arg
 --skip core_functions::color::change::hwb::alpha_input
 --skip core_functions::color::change::rgb::alpha_arg
 --skip core_functions::color::change::rgb::alpha_input
 --skip core_functions::color::complement::alpha
 --skip core_functions::color::desaturate::alpha
 --skip core_functions::color::grayscale::legacy::alpha
 --skip core_functions::color::mix::alpha::even
 --skip core_functions::color::mix::both_weights::transparent::last
 --skip core_functions::color::mix::both_weights::weighted::last
 --skip core_functions::color::rgb::four_args::in_gamut::named
 --skip core_functions::color::rgb::one_arg::alpha::in_gamut::named
 --skip core_functions::color::rgb::one_arg::alpha::in_gamut::parenthesized
 --skip core_functions::color::scale::hsl::alpha_input
 --skip core_functions::color::scale::hwb::alpha_input
 --skip core_functions::color::scale::rgb::alpha_input
 --skip core_functions::meta::get_function::same_module::plain_css
 --skip libsass::color_functions::other::change_color::a::test
 --skip libsass::color_functions::opacity::alpha::test
 --skip libsass::color_functions::rgb::rgba::a::test
 --skip libsass::units::conversion::size::test
 --skip libsass_closed_issues::issue_1332::test
 --skip libsass_closed_issues::issue_550::operator::test
 --skip non_conformant::basic::t22_colors_with_alpha::test
 --skip non_conformant::scss::composed_args::test
 --skip values::calculation::max::simplified::third
 --skip values::numbers::modulo::floats::larger::negative_positive
 --skip values::numbers::modulo::floats::larger::positive_negative
 --skip variablescope::test::color_simple_rgba
 --skip core_functions::color::hsl::four_args::out_of_gamut::alpha::degenerate::nan
 --skip core_functions::color::hsl::four_args::out_of_gamut::saturation::degenerate::nan
 --skip core_functions::color::hwb::four_args::alpha::degenerate::nan
 --skip core_functions::color::rgb::four_args::clamped::alpha::degenerate::nan
 --skip core_functions::color::rgb::four_args::clamped::blue::degenerate::nan
 --skip core_functions::color::rgb::four_args::clamped::green::degenerate::nan
